/************************************************************************/
/* Disassembler for KINT virtual processor				*/
/************************************************************************/
#ifndef __INSTRS_HPP
#define __INSTRS_HPP


/************************************************************************/
/* Instructions enumeration						*/
/************************************************************************/
extern instruc_t Instructions[];
enum nameNum {
KINT_null = 0,	// Unknown Operation

KINT_ABIT,
KINT_ADD,
KINT_ADF,
KINT_AFR,
KINT_AND,
KINT_B2I,
KINT_BRK,
KINT_CBD,
KINT_CBW,
KINT_CLR,
KINT_CMF,
KINT_CMP,
KINT_CWD,
KINT_DEC,
KINT_DFR,
KINT_DIF,
KINT_DIV,
KINT_F2I,
KINT_FADD,
KINT_FCMP,
KINT_FDIV,
KINT_FF2I,
KINT_FI2F,
KINT_FMUL,
KINT_FNEG,
KINT_FSUB,
KINT_HALT,
KINT_I2F,
KINT_IJMP,
KINT_INC,
KINT_JE,
KINT_JEV,
KINT_JG,
KINT_JGE,
KINT_JL,
KINT_JLE,
KINT_JMP,
KINT_LJMP,
KINT_JNE,
KINT_JOD,
KINT_JSI,
KINT_JSIC,
KINT_JSR,
KINT_JSRC,
KINT_KJMP,
KINT_LD0,
KINT_LD1,
KINT_LD2,
KINT_LDC,
KINT_LDCM,
KINT_LDCP,
KINT_LDE,
KINT_LDI,
KINT_LDM,
KINT_LDR,
KINT_LDS,
KINT_LEA,
KINT_LJE,
KINT_LJEV,
KINT_LJG,
KINT_LJGE,
KINT_LJL,
KINT_LJLE,
KINT_LJNE,
KINT_LJOD,
KINT_LSA,
KINT_MOD,
KINT_MUF,
KINT_MUL,
KINT_NEF,
KINT_NEG,
KINT_NOP,
KINT_NOT,
KINT_OR,
KINT_PEA,
KINT_PO0,
KINT_POF,
KINT_POP,
KINT_POPC,
KINT_POR,
KINT_PU0,
KINT_PUB,
KINT_PUD,
KINT_PUF,
KINT_PUR,
KINT_PUSC,
KINT_PUSH,
KINT_PUW,
KINT_REF,
KINT_RET,
KINT_RETC,
KINT_ROL,
KINT_ROR,
KINT_SAF,
KINT_SHL,
KINT_SHR,
KINT_SM,
KINT_ST0,
KINT_ST1,
KINT_ST2,
KINT_STC,
KINT_STCM,
KINT_STCP,
KINT_STS,
KINT_SUB,
KINT_SUF,
KINT_TERM,
KINT_TST,
KINT_USM,
KINT_XCH,
KINT_XOR,

SYS_FILESIZE,
SYS_OPEN,
SYS_EOF,
SYS_READ,
SYS_WRITE,
SYS_SEEK,
SYS_CLOSE,
SYS_FINDFIRST,
SYS_FINDNEXT,
SYS_FINDCLOSE,
SYS_DELETE,
SYS_MAKESHARECOPY,
SYS_PRINTSTART,
SYS_PRINTBEGPAGE,
SYS_PRINTENDPAGE,
SYS_PRINTSTOP,
SYS_ALLOCMEM,
SYS_FREEMEM,
SYS_TIMEREG,
SYS_TIMESTR,
SYS_TIMEMILLI,
SYS_STRCAT,
SYS_MEMCPY,
SYS_MEMMOVE,
SYS_STRCPY,
SYS_STRCMP,
SYS_STRICMP,
SYS_STRLEN,
SYS_MEMSET,
SYS_MEMCMP,
SYS_SETCURSOR,
SYS_SETPGMTITLE,
SYS_CREBM,
SYS_DELBM,
SYS_ALPHABLEND,
SYS_SIZEBM,
SYS_DRAWBM,
SYS_STRETCHBM,
SYS_DRAWMBM,
SYS_LOADBM,
SYS_LOADMBM,
SYS_STRETCHMBM,
SYS_GETWINDOWPOS,
SYS_SETWINDOWPOS,
SYS_GETVIEWSIZE,
SYS_ORIENTBM,
SYS_GETSCREENSIZE,
SYS_FLUSHSCREEN,
SYS_RECTEDGED,
SYS_RECTSOLID,
SYS_RECTOUTLINE,
SYS_LINES,
SYS_SETPIXEL,
SYS_GETPIXEL,
SYS_COLORIZE,
SYS_RECT,
SYS_OVAL,
SYS_GETTEXTSIZE,
SYS_GETFONT,
SYS_RELFONT,
SYS_BEGTEXT,
SYS_TEXTSTYLE,
SYS_TEXT,
SYS_ENDTEXT,
SYS_PLAYSOUND,
SYS_PLAYMUSIC,
SYS_STOPMUSIC,
SYS_ISMUSIC,
SYS_CAPTUREMOUSE,
SYS_MEMSET2,
SYS_MEMSET4,
SYS_PRINTFONT,
SYS_STARTTIMER,
SYS_STOPTIMER,
SYS_GETEOL,
SYS_PRINTGETTEXTSIZE,
SYS_PRINTTEXT,
SYS_PRINTBM,
SYS_PRINTLINES,
SYS_SYSTEMMSG,
SYS_LOADKE,
SYS_UNLOADKE,
SYS_MSGKE,
SYS_0x53,
SYS_LOADLOSSYBM,
SYS_INVDRAWBM,
SYS_INVDRAWMBM,
SYS_LINESTYLE,
SYS_MAKEFOLDER,
SYS_DELFOLDER,
SYS_CLIP,
SYS_GETCLIP,
SYS_MASKBM,
SYS_RGB2HSL,
SYS_HSL2RGB,
SYS_SAVEBM,
SYS_PRINTRECT,
SYS_SLEEP,
SYS_GETSYSTEMDATA,
SYS_MEMSET200,
SYS_MEMSET400,
SYS_STRCAT00,
SYS_MEMCPY00,
SYS_MEMMOVE00,
SYS_STRCPY00,
SYS_STRCMP00,
SYS_STRICMP00,
SYS_STRLEN00,
SYS_MEMSET00,
SYS_MEMCMP00,
KINT_UNK,

KINT_last
    };

#endif
