/************************************************************************/
/* Disassembler for KINT virtual processor				*/
/************************************************************************/
#ifndef _KINT_HPP
#define _KINT_HPP

#include "../idaidp.hpp"
#include "ins.hpp"

// processor code for KINT
#define PLFM_KINT 0x8457

// special cmd definitions
#define v_bit specval
#define o_reg_bit o_idpspec3

// utility stuff
#define top_nibble(VALUE) ((VALUE & 0xf0) >> 4)
#define bottom_nibble(VALUE) (VALUE & 0xf)

/************************************************************************/
/* Registers (we'll be handling these with custom code )		*/
/************************************************************************/
enum kint_registers {
  rVcs, rVds	       // these 2 registers are required by the IDA kernel
};

/************************************************************************/
/* Common functions							*/
/************************************************************************/
void idaapi header(void);
void idaapi footer(void);
void idaapi segstart(ea_t ea);
void idaapi segfooter(ea_t ea);
int idaapi ana(void);
int idaapi emu(void);
void idaapi out(void);
bool idaapi outop(op_t &op);
void idaapi out_data(ea_t ea);
bool create_func_frame(func_t *pfn);
void kint_func_header(func_t *pfn);
void gen_stkvar_def(char *buf, size_t bufsize, const member_t *mptr, sval_t v);
#endif
